Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xslt.res
Class XSLTErrorResources

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--weblogic.apache.xalan.xpath.xml.XSLResourceBundle
                        |
                        +--weblogic.apache.xalan.xslt.res.XSLTErrorResources

Direct Known Subclasses:
  XSLTErrorResources_en

public class XSLTErrorResources
extends XSLResourceBundle

Set up error messages. We build a two dimensional array of message keys and message strings. In order to add a new message here, you need to first update the count of messages(MAX_CODE)or the count of warnings(MAX_WARNING). The array will be automatically filled in with the keys, but you need to fill in the actual message string. Follow the instructions below.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `BAD_CODE`
`static int` | `ER_BAD_STYLESHEET_URL`
`static int` | `ER_BAD_VAL_ON_LEVEL_ATTRIB`
`static int` | `ER_BAD_XSLSORT_USE`
`static int` | `ER_CALL_TO_EXT_FAILED`
`static int` | `ER_CAN_ONLY_OUTPUT_TO_ELEMENT`
`static int` | `ER_CANNOT_ADD`
`static int` | `ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT`
`static int` | `ER_CANNOT_MIX_XERCESDOM`
`static int` | `ER_CANNOT_SERIALIZE_XSLPROCESSOR`
`static int` | `ER_CANT_CREATE_ITEM`
`static int` | `ER_CANT_CREATE_URL`
`static int` | `ER_CANT_RESOLVE_NAME_AVT`
`static int` | `ER_CANT_RESOLVE_NSPREFIX`
`static int` | `ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER`
`static int` | `ER_CANT_USE_DTM_FOR_INPUT`
`static int` | `ER_CANT_USE_DTM_FOR_OUTPUT`
`static int` | `ER_CHOOSE_REQUIRES_WHEN`
`static int` | `ER_COULD_NOT_CREATE_TRACELISTENER`
`static int` | `ER_COULD_NOT_CREATE_XML_PROC_LIAISON`
`static int` | `ER_COULDNT_FIND_FRAGMENT`
`static int` | `ER_COULDNT_PARSE_DOC`
`static int` | `ER_CURRENCY_SIGN_ILLEGAL`
`static int` | `ER_DEFAULTSPACE_NOT_SUPPORTED`
`static int` | `ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM`
`static int` | `ER_ELEMTEMPLATEELEM_ERR`
`static int` | `ER_ENCODING_NOT_SUPPORTED`
`static int` | `ER_FAILED_PROCESS_STYLESHEET`
`static int` | `ER_FILE_NOT_FOUND`
`static int` | `ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB`
`static int` | `ER_FUNCTION_NOT_SUPPORTED`
`static int` | `ER_ILLEGAL_ATTRIB`
`static int` | `ER_ILLEGAL_ATTRIBUTE`
`static int` | `ER_ILLEGAL_ATTRIBUTE_VALUE`
`static int` | `ER_ILLEGAL_VALUE`
`static int` | `ER_IMPORTING_ITSELF`
`static int` | `ER_IMPORTS_AS_FIRST_ELEM`
`static int` | `ER_IN_ELEMTEMPLATEELEM_READOBJECT`
`static int` | `ER_INDENTRESULT_NOT_SUPPORTED`
`static int` | `ER_INVALID_KEY_CALL`
`static int` | `ER_INVALID_OPTION`
`static int` | `ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX`
`static int` | `ER_INVALID_UTF16_SURROGATE`
`static int` | `ER_IOEXCEPTION`
`static int` | `ER_KEY_REQUIRES_MATCH_ATTRIB`
`static int` | `ER_KEY_REQUIRES_NAME_ATTRIB`
`static int` | `ER_KEY_REQUIRES_USE_ATTRIB`
`static int` | `ER_MALFORMED_FORMAT_STRING`
`static int` | `ER_MISPLACED_XSLOTHERWISE`
`static int` | `ER_MISPLACED_XSLWHEN`
`static int` | `ER_MISSING_ARG_FOR_OPTION`
`static int` | `ER_MISSING_CONTAINER_ELEMENT_COMPONENT`
`static int` | `ER_MISSING_LANG_ATTRIB`
`static int` | `ER_MISSING_NS_URI`
`static int` | `ER_MISSING_PREFIX_ATTRIB`
`static int` | `ER_MUST_HAVE_TEST_ATTRIB`
`static int` | `ER_NEED_MATCH_ATTRIB`
`static int` | `ER_NEED_NAME_ATTRIB`
`static int` | `ER_NEED_NAME_OR_MATCH_ATTRIB`
`static int` | `ER_NEED_SELECT_ATTRIB`
`static int` | `ER_NEED_TEST_ATTRIB`
`static int` | `ER_NO_APPLY_IMPORT_IN_FOR_EACH`
`static int` | `ER_NO_CLONE_OF_DOCUMENT_FRAG`
`static int` | `ER_NO_CONTEXT_OWNERDOC`
`static int` | `ER_NO_CURLYBRACE`
`static int` | `ER_NO_HREF_ATTRIB`
`static int` | `ER_NO_INPUT_STYLESHEET`
`static int` | `ER_NO_NAME_ATTRIB`
`static int` | `ER_NO_OWNERDOC`
`static int` | `ER_NO_SELECT_EXPRESSION`
`static int` | `ER_NO_XSLKEY_DECLARATION`
`static int` | `ER_NODE_NOT_ELEMENT`
`static int` | `ER_NOT_ALLOWED_INSIDE_STYLESHEET`
`static int` | `ER_NOT_ALLOWED_INSIDE_TEMPLATE`
`static int` | `ER_NOT_SUCCESSFUL`
`static int` | `ER_NULL_CHILD`
`static int` | `ER_NULL_SOURCENODE_APPLYIMPORTS`
`static int` | `ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES`
`static int` | `ER_PREFIX_MUST_RESOLVE`
`static int` | `ER_PROCESS_ERROR`
`static int` | `ER_PROCESS_NOT_SUCCESSFUL`
`static int` | `ER_PROCESSINCLUDE_ERROR`
`static int` | `ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML`
`static int` | `ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME`
`static int` | `ER_PROCESSOR_ERROR`
`static int` | `ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL`
`static int` | `ER_REDIRECT_COULDNT_GET_FILENAME`
`static int` | `ER_REQUIRES_ATTRIB`
`static int` | `ER_REQUIRES_ELEMENTS_ATTRIB`
`static int` | `ER_RESULTNS_NOT_SUPPORTED`
`static int` | `ER_SAX_EXCEPTION`
`static int` | `ER_STYLESHEET_INCLUDES_ITSELF`
`static int` | `ER_STYLESHEET_REQUIRES_VERSION_ATTRIB`
`static int` | `ER_TEMPLATE_NOT_FOUND`
`static int` | `ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB`
`static int` | `ER_TOO_MANY_LISTENERS`
`static int` | `ER_UNIMPLNODE_ERROR`
`static int` | `ER_UNKNOWN_EXT_NS_PREFIX`
`static int` | `ER_UNKNOWN_XSL_ELEM`
`static int` | `ER_XMLSPACE_ILLEGAL_VAL`
`static int` | `ER_XMLSPACE_ILLEGAL_VALUE`
`static int` | `ER_XSLATTRSET_USED_ITSELF`
`static int` | `ER_XSLFUNCTIONS_UNSUPPORTED`
`static int` | `ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE`
`static int` | `ER_XSLT_ERROR`
`static int` | `ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE`
`static java.lang.String` | `ERROR_HEADER`
`static java.lang.String` | `ERROR_STRING`
`static java.lang.String` | `ERROR_SUFFIX`
`static int` | `ERROR0000`
`static java.lang.String` | `FORMAT_FAILED`
`static int` | `MAX_CODE`
`static int` | `MAX_MESSAGES`
`static int` | `MAX_OTHERS`
`static int` | `MAX_WARNING`
`static java.lang.String` | `QUERY_HEADER`
`static java.lang.String` | `WARNING_HEADER`
`static java.lang.String` | `WARNING_SUFFIX`
`static int` | `WG_ATTR_TEMPLATE`
`static int` | `WG_ATTRIB_NOT_HANDLED`
`static int` | `WG_CANNOT_FIND_COLLATOR`
`static int` | `WG_CANNOT_LOAD_REQUESTED_DOC`
`static int` | `WG_CANNOT_MAKE_URL_FROM`
`static int` | `WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE`
`static int` | `WG_COULD_NOT_RESOLVE_PREFIX`
`static int` | `WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR`
`static int` | `WG_EMPTY_SECOND_ARG`
`static int` | `WG_ENCODING_NOT_SUPPORTED_USING_JAVA`
`static int` | `WG_ENCODING_NOT_SUPPORTED_USING_UTF8`
`static int` | `WG_EXPR_ATTRIB_CHANGED_TO_SELECT`
`static int` | `WG_FOUND_CURLYBRACE`
`static int` | `WG_FUNCTIONS_SHOULD_USE_URL`
`static int` | `WG_ILLEGAL_ATTRIBUTE`
`static int` | `WG_ILLEGAL_ATTRIBUTE_NAME`
`static int` | `WG_ILLEGAL_ATTRIBUTE_VALUE`
`static int` | `WG_LOCALE_NOT_FOUND`
`static int` | `WG_NO_DECIMALFORMAT_DECLARATION`
`static int` | `WG_NO_LOCALE_IN_FORMATNUMBER`
`static int` | `WG_OLD_XSLT_NS`
`static int` | `WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED`
`static int` | `WG_PARSING_AND_PREPARING`
`static int` | `WG_SPECIFICITY_CONFLICTS`
`static int` | `WG_STYLESHEET_REQUIRES_VERSION_ATTRIB`
`static int` | `WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE`
`static java.lang.String` | `XML_HEADER`
`static java.lang.String` | `XSL_HEADER`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XSLTErrorResources()`

Method Summary
`java.lang.Object[][]` | `getContents()`
`java.lang.String` | `getMessageKey(int errorCode)` Get the error string associated with the error code
`static java.lang.String` | `getMKey(int errorCode)` Get the error string associated with the error code
`java.lang.String` | `getWarningKey(int errorCode)` Get the error string associated with the error code
`static java.lang.String` | `getWKey(int errorCode)` Get the error string associated with the error code
`static XSLTErrorResources` | `loadResourceBundle(java.lang.String className)` Return a named ResourceBundle for a particular locale.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_SUFFIX

    public static final java.lang.String ERROR_SUFFIX

### WARNING_SUFFIX

    public static final java.lang.String WARNING_SUFFIX

### MAX_CODE

    public static final int MAX_CODE

### MAX_WARNING

    public static final int MAX_WARNING

### MAX_OTHERS

    public static final int MAX_OTHERS

### MAX_MESSAGES

    public static final int MAX_MESSAGES

### ERROR0000

    public static final int ERROR0000

### ER_NO_CURLYBRACE

    public static final int ER_NO_CURLYBRACE

### ER_ILLEGAL_ATTRIBUTE

    public static final int ER_ILLEGAL_ATTRIBUTE

### ER_NULL_SOURCENODE_APPLYIMPORTS

    public static final int ER_NULL_SOURCENODE_APPLYIMPORTS

### ER_CANNOT_ADD

    public static final int ER_CANNOT_ADD

### ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

    public static final int ER_NULL_SOURCENODE_HANDLEAPPLYTEMPLATES

### ER_NO_NAME_ATTRIB

    public static final int ER_NO_NAME_ATTRIB

### ER_TEMPLATE_NOT_FOUND

    public static final int ER_TEMPLATE_NOT_FOUND

### ER_CANT_RESOLVE_NAME_AVT

    public static final int ER_CANT_RESOLVE_NAME_AVT

### ER_REQUIRES_ATTRIB

    public static final int ER_REQUIRES_ATTRIB

### ER_MUST_HAVE_TEST_ATTRIB

    public static final int ER_MUST_HAVE_TEST_ATTRIB

### ER_BAD_VAL_ON_LEVEL_ATTRIB

    public static final int ER_BAD_VAL_ON_LEVEL_ATTRIB

### ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

    public static final int ER_PROCESSINGINSTRUCTION_NAME_CANT_BE_XML

### ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

    public static final int ER_PROCESSINGINSTRUCTION_NOTVALID_NCNAME

### ER_NEED_MATCH_ATTRIB

    public static final int ER_NEED_MATCH_ATTRIB

### ER_NEED_NAME_OR_MATCH_ATTRIB

    public static final int ER_NEED_NAME_OR_MATCH_ATTRIB

### ER_CANT_RESOLVE_NSPREFIX

    public static final int ER_CANT_RESOLVE_NSPREFIX

### ER_ILLEGAL_VALUE

    public static final int ER_ILLEGAL_VALUE

### ER_NO_OWNERDOC

    public static final int ER_NO_OWNERDOC

### ER_ELEMTEMPLATEELEM_ERR

    public static final int ER_ELEMTEMPLATEELEM_ERR

### ER_NULL_CHILD

    public static final int ER_NULL_CHILD

### ER_NEED_SELECT_ATTRIB

    public static final int ER_NEED_SELECT_ATTRIB

### ER_NEED_TEST_ATTRIB

    public static final int ER_NEED_TEST_ATTRIB

### ER_NEED_NAME_ATTRIB

    public static final int ER_NEED_NAME_ATTRIB

### ER_NO_CONTEXT_OWNERDOC

    public static final int ER_NO_CONTEXT_OWNERDOC

### ER_COULD_NOT_CREATE_XML_PROC_LIAISON

    public static final int ER_COULD_NOT_CREATE_XML_PROC_LIAISON

### ER_PROCESS_NOT_SUCCESSFUL

    public static final int ER_PROCESS_NOT_SUCCESSFUL

### ER_NOT_SUCCESSFUL

    public static final int ER_NOT_SUCCESSFUL

### ER_ENCODING_NOT_SUPPORTED

    public static final int ER_ENCODING_NOT_SUPPORTED

### ER_COULD_NOT_CREATE_TRACELISTENER

    public static final int ER_COULD_NOT_CREATE_TRACELISTENER

### ER_KEY_REQUIRES_NAME_ATTRIB

    public static final int ER_KEY_REQUIRES_NAME_ATTRIB

### ER_KEY_REQUIRES_MATCH_ATTRIB

    public static final int ER_KEY_REQUIRES_MATCH_ATTRIB

### ER_KEY_REQUIRES_USE_ATTRIB

    public static final int ER_KEY_REQUIRES_USE_ATTRIB

### ER_REQUIRES_ELEMENTS_ATTRIB

    public static final int ER_REQUIRES_ELEMENTS_ATTRIB

### ER_MISSING_PREFIX_ATTRIB

    public static final int ER_MISSING_PREFIX_ATTRIB

### ER_BAD_STYLESHEET_URL

    public static final int ER_BAD_STYLESHEET_URL

### ER_FILE_NOT_FOUND

    public static final int ER_FILE_NOT_FOUND

### ER_IOEXCEPTION

    public static final int ER_IOEXCEPTION

### ER_NO_HREF_ATTRIB

    public static final int ER_NO_HREF_ATTRIB

### ER_STYLESHEET_INCLUDES_ITSELF

    public static final int ER_STYLESHEET_INCLUDES_ITSELF

### ER_PROCESSINCLUDE_ERROR

    public static final int ER_PROCESSINCLUDE_ERROR

### ER_MISSING_LANG_ATTRIB

    public static final int ER_MISSING_LANG_ATTRIB

### ER_MISSING_CONTAINER_ELEMENT_COMPONENT

    public static final int ER_MISSING_CONTAINER_ELEMENT_COMPONENT

### ER_CAN_ONLY_OUTPUT_TO_ELEMENT

    public static final int ER_CAN_ONLY_OUTPUT_TO_ELEMENT

### ER_PROCESS_ERROR

    public static final int ER_PROCESS_ERROR

### ER_UNIMPLNODE_ERROR

    public static final int ER_UNIMPLNODE_ERROR

### ER_NO_SELECT_EXPRESSION

    public static final int ER_NO_SELECT_EXPRESSION

### ER_CANNOT_SERIALIZE_XSLPROCESSOR

    public static final int ER_CANNOT_SERIALIZE_XSLPROCESSOR

### ER_NO_INPUT_STYLESHEET

    public static final int ER_NO_INPUT_STYLESHEET

### ER_FAILED_PROCESS_STYLESHEET

    public static final int ER_FAILED_PROCESS_STYLESHEET

### ER_COULDNT_PARSE_DOC

    public static final int ER_COULDNT_PARSE_DOC

### ER_COULDNT_FIND_FRAGMENT

    public static final int ER_COULDNT_FIND_FRAGMENT

### ER_NODE_NOT_ELEMENT

    public static final int ER_NODE_NOT_ELEMENT

### ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

    public static final int ER_FOREACH_NEED_MATCH_OR_NAME_ATTRIB

### ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

    public static final int ER_TEMPLATES_NEED_MATCH_OR_NAME_ATTRIB

### ER_NO_CLONE_OF_DOCUMENT_FRAG

    public static final int ER_NO_CLONE_OF_DOCUMENT_FRAG

### ER_CANT_CREATE_ITEM

    public static final int ER_CANT_CREATE_ITEM

### ER_XMLSPACE_ILLEGAL_VALUE

    public static final int ER_XMLSPACE_ILLEGAL_VALUE

### ER_NO_XSLKEY_DECLARATION

    public static final int ER_NO_XSLKEY_DECLARATION

### ER_CANT_CREATE_URL

    public static final int ER_CANT_CREATE_URL

### ER_XSLFUNCTIONS_UNSUPPORTED

    public static final int ER_XSLFUNCTIONS_UNSUPPORTED

### ER_PROCESSOR_ERROR

    public static final int ER_PROCESSOR_ERROR

### ER_NOT_ALLOWED_INSIDE_STYLESHEET

    public static final int ER_NOT_ALLOWED_INSIDE_STYLESHEET

### ER_RESULTNS_NOT_SUPPORTED

    public static final int ER_RESULTNS_NOT_SUPPORTED

### ER_DEFAULTSPACE_NOT_SUPPORTED

    public static final int ER_DEFAULTSPACE_NOT_SUPPORTED

### ER_INDENTRESULT_NOT_SUPPORTED

    public static final int ER_INDENTRESULT_NOT_SUPPORTED

### ER_ILLEGAL_ATTRIB

    public static final int ER_ILLEGAL_ATTRIB

### ER_UNKNOWN_XSL_ELEM

    public static final int ER_UNKNOWN_XSL_ELEM

### ER_BAD_XSLSORT_USE

    public static final int ER_BAD_XSLSORT_USE

### ER_MISPLACED_XSLWHEN

    public static final int ER_MISPLACED_XSLWHEN

### ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

    public static final int ER_XSLWHEN_NOT_PARENTED_BY_XSLCHOOSE

### ER_MISPLACED_XSLOTHERWISE

    public static final int ER_MISPLACED_XSLOTHERWISE

### ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

    public static final int ER_XSLOTHERWISE_NOT_PARENTED_BY_XSLCHOOSE

### ER_NOT_ALLOWED_INSIDE_TEMPLATE

    public static final int ER_NOT_ALLOWED_INSIDE_TEMPLATE

### ER_UNKNOWN_EXT_NS_PREFIX

    public static final int ER_UNKNOWN_EXT_NS_PREFIX

### ER_IMPORTS_AS_FIRST_ELEM

    public static final int ER_IMPORTS_AS_FIRST_ELEM

### ER_IMPORTING_ITSELF

    public static final int ER_IMPORTING_ITSELF

### ER_XMLSPACE_ILLEGAL_VAL

    public static final int ER_XMLSPACE_ILLEGAL_VAL

### ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

    public static final int ER_PROCESSSTYLESHEET_NOT_SUCCESSFUL

### ER_SAX_EXCEPTION

    public static final int ER_SAX_EXCEPTION

### ER_FUNCTION_NOT_SUPPORTED

    public static final int ER_FUNCTION_NOT_SUPPORTED

### ER_XSLT_ERROR

    public static final int ER_XSLT_ERROR

### ER_CURRENCY_SIGN_ILLEGAL

    public static final int ER_CURRENCY_SIGN_ILLEGAL

### ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

    public static final int ER_DOCUMENT_FUNCTION_INVALID_IN_STYLESHEET_DOM

### ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

    public static final int ER_CANT_RESOLVE_PREFIX_OF_NON_PREFIX_RESOLVER

### ER_REDIRECT_COULDNT_GET_FILENAME

    public static final int ER_REDIRECT_COULDNT_GET_FILENAME

### ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

    public static final int ER_CANNOT_BUILD_FORMATTERLISTENER_IN_REDIRECT

### ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

    public static final int ER_INVALID_PREFIX_IN_EXCLUDERESULTPREFIX

### ER_MISSING_NS_URI

    public static final int ER_MISSING_NS_URI

### ER_MISSING_ARG_FOR_OPTION

    public static final int ER_MISSING_ARG_FOR_OPTION

### ER_INVALID_OPTION

    public static final int ER_INVALID_OPTION

### ER_MALFORMED_FORMAT_STRING

    public static final int ER_MALFORMED_FORMAT_STRING

### ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

    public static final int ER_STYLESHEET_REQUIRES_VERSION_ATTRIB

### ER_ILLEGAL_ATTRIBUTE_VALUE

    public static final int ER_ILLEGAL_ATTRIBUTE_VALUE

### ER_CHOOSE_REQUIRES_WHEN

    public static final int ER_CHOOSE_REQUIRES_WHEN

### ER_NO_APPLY_IMPORT_IN_FOR_EACH

    public static final int ER_NO_APPLY_IMPORT_IN_FOR_EACH

### ER_CANT_USE_DTM_FOR_OUTPUT

    public static final int ER_CANT_USE_DTM_FOR_OUTPUT

### ER_CANT_USE_DTM_FOR_INPUT

    public static final int ER_CANT_USE_DTM_FOR_INPUT

### ER_CALL_TO_EXT_FAILED

    public static final int ER_CALL_TO_EXT_FAILED

### ER_PREFIX_MUST_RESOLVE

    public static final int ER_PREFIX_MUST_RESOLVE

### ER_INVALID_UTF16_SURROGATE

    public static final int ER_INVALID_UTF16_SURROGATE

### ER_XSLATTRSET_USED_ITSELF

    public static final int ER_XSLATTRSET_USED_ITSELF

### ER_CANNOT_MIX_XERCESDOM

    public static final int ER_CANNOT_MIX_XERCESDOM

### ER_TOO_MANY_LISTENERS

    public static final int ER_TOO_MANY_LISTENERS

### ER_IN_ELEMTEMPLATEELEM_READOBJECT

    public static final int ER_IN_ELEMTEMPLATEELEM_READOBJECT

### ER_INVALID_KEY_CALL

    public static final int ER_INVALID_KEY_CALL

### WG_FOUND_CURLYBRACE

    public static final int WG_FOUND_CURLYBRACE

### WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

    public static final int WG_COUNT_ATTRIB_MATCHES_NO_ANCESTOR

### WG_EXPR_ATTRIB_CHANGED_TO_SELECT

    public static final int WG_EXPR_ATTRIB_CHANGED_TO_SELECT

### WG_NO_LOCALE_IN_FORMATNUMBER

    public static final int WG_NO_LOCALE_IN_FORMATNUMBER

### WG_LOCALE_NOT_FOUND

    public static final int WG_LOCALE_NOT_FOUND

### WG_CANNOT_MAKE_URL_FROM

    public static final int WG_CANNOT_MAKE_URL_FROM

### WG_CANNOT_LOAD_REQUESTED_DOC

    public static final int WG_CANNOT_LOAD_REQUESTED_DOC

### WG_CANNOT_FIND_COLLATOR

    public static final int WG_CANNOT_FIND_COLLATOR

### WG_FUNCTIONS_SHOULD_USE_URL

    public static final int WG_FUNCTIONS_SHOULD_USE_URL

### WG_ENCODING_NOT_SUPPORTED_USING_UTF8

    public static final int WG_ENCODING_NOT_SUPPORTED_USING_UTF8

### WG_ENCODING_NOT_SUPPORTED_USING_JAVA

    public static final int WG_ENCODING_NOT_SUPPORTED_USING_JAVA

### WG_SPECIFICITY_CONFLICTS

    public static final int WG_SPECIFICITY_CONFLICTS

### WG_PARSING_AND_PREPARING

    public static final int WG_PARSING_AND_PREPARING

### WG_ATTR_TEMPLATE

    public static final int WG_ATTR_TEMPLATE

### WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

    public static final int WG_CONFLICT_BETWEEN_XSLSTRIPSPACE_AND_XSLPRESERVESPACE

### WG_ATTRIB_NOT_HANDLED

    public static final int WG_ATTRIB_NOT_HANDLED

### WG_NO_DECIMALFORMAT_DECLARATION

    public static final int WG_NO_DECIMALFORMAT_DECLARATION

### WG_OLD_XSLT_NS

    public static final int WG_OLD_XSLT_NS

### WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

    public static final int WG_ONE_DEFAULT_XSLDECIMALFORMAT_ALLOWED

### WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

    public static final int WG_XSLDECIMALFORMAT_NAMES_MUST_BE_UNIQUE

### WG_ILLEGAL_ATTRIBUTE

    public static final int WG_ILLEGAL_ATTRIBUTE

### WG_COULD_NOT_RESOLVE_PREFIX

    public static final int WG_COULD_NOT_RESOLVE_PREFIX

### WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

    public static final int WG_STYLESHEET_REQUIRES_VERSION_ATTRIB

### WG_ILLEGAL_ATTRIBUTE_NAME

    public static final int WG_ILLEGAL_ATTRIBUTE_NAME

### WG_ILLEGAL_ATTRIBUTE_VALUE

    public static final int WG_ILLEGAL_ATTRIBUTE_VALUE

### WG_EMPTY_SECOND_ARG

    public static final int WG_EMPTY_SECOND_ARG

### BAD_CODE

    public static final java.lang.String BAD_CODE

### FORMAT_FAILED

    public static final java.lang.String FORMAT_FAILED

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

### ERROR_HEADER

    public static final java.lang.String ERROR_HEADER

### WARNING_HEADER

    public static final java.lang.String WARNING_HEADER

### XSL_HEADER

    public static final java.lang.String XSL_HEADER

### XML_HEADER

    public static final java.lang.String XML_HEADER

### QUERY_HEADER

    public static final java.lang.String QUERY_HEADER

Constructor Detail

### XSLTErrorResources

    public XSLTErrorResources()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Overrides:
    getContents in class java.util.ListResourceBundle

### loadResourceBundle

    public static final XSLTErrorResources loadResourceBundle(java.lang.String className)
                                                       throws java.util.MissingResourceException

  Return a named ResourceBundle for a particular locale. This method mimics the behavior of ResourceBundle.getBundle().

  Parameters:
    `res` - the name of the resource to load.
    `locale` - the locale to prefer when searching for the bundle
  Returns:
    the ResourceBundle
  Throws:
    java.util.MissingResourceException -

### getMessageKey

    public java.lang.String getMessageKey(int errorCode)

  Get the error string associated with the error code

  Overrides:
    getMessageKey in class XSLResourceBundle

### getWarningKey

    public java.lang.String getWarningKey(int errorCode)

  Get the error string associated with the error code

  Overrides:
    getWarningKey in class XSLResourceBundle

### getMKey

    public static java.lang.String getMKey(int errorCode)

  Get the error string associated with the error code

### getWKey

    public static java.lang.String getWKey(int errorCode)

  Get the error string associated with the error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD